package com.projectwork.demo.repository;

import com.projectwork.demo.model.OrderBusiness;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;

/**
* Generated by Spring Data Generator on 12/01/2023
*/
@Repository
public interface OrderRepository extends JpaRepository<OrderBusiness, Integer> {

    @Query("SELECT o FROM OrderBusiness o WHERE o.company.companyId = :companyId")
    List<OrderBusiness> findAllOrdersByCompanyId(@Param("companyId") Integer companyId);
}
